package v2seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type V2SealBatchchangpermissionRequest struct {
	// <ext>core:true</ext> 【批量变更印章权限】批量变更印章权限 【作用】 支持传入多个数组，在每个数组中，分别传入需变更的印章以及对应需变更的印章权限 【传参】 修改权限的参数至少传一个，当传入全量替换人员参数时，将优先全量替换，此时单独的添加/删除人员参数不生效。 【特殊说明】 支持配置需要触发异步操作的印章数量。即当印章数量超过一定数量时，将先提交印章操作请求，异步处理后在日志中返回结果。该数值可通过电子签章控制台-自定义配置的SEAL_BATCH_ASYNC_NUMS配置，默认为10个。
	SealPermissionEditRequests []*common.SealPermissionEditRequest `json:"sealPermissionEditRequests"`
	OperatorInfo               *common.UserInfoRequest             `json:"operatorInfo,omitempty"`
}

func (obj V2SealBatchchangpermissionRequest) GetUrl() string {
	return "/v2/seal/batchchangpermission"
}

func (obj V2SealBatchchangpermissionRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
